main/urls.py
from django.urls import path

from . import views

app_name = 'main'

urlpatterns = [
    path('', views.home, name='home'),
    path('tentang/', views.tentang, name='tentang'),
    path('story1/', views.story1, name='story1'),
    path('story2/', views.story2, name='story2'),
    path('story3/', views.story3, name='story3'),
    path('subject/', views.matkul, name='matkul'),
    path('result/', views.hasil, name='hasil'),
    path('details/<int:i>/', views.detail, name='detail'),
]

myproject/urls.py
from django.contrib import admin
from django.urls import include, path

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('main.urls')),
    path('', include('story6.urls')),
]

story6/urls.py
from django.urls import path

from . import views

app_name = 'story6'

urlpatterns = [
	path('result_activity/', views.result_activity, name='result_activity'),
    path('add_activity/', views.add_activity, name='add_activity'),
    path('add_person/<int:index>/', views.add_person, name='add_person'),
]

main/models.py
from django.db import models

# Create your models here.
class MataKuliah(models.Model):
	matkul = models.CharField('Subject', max_length=120)
	kelas = models.CharField('Classroom', max_length=120)
	sks = models.IntegerField('Credits')
	dosen = models.CharField('Lecturer', max_length=120)
	deskripsi = models.TextField('Description')
	semester = models.CharField('Term', max_length=120, help_text='Example : Odd 2020/2021')
	
	def __str__(self):
    		return self.matkul

story6/models.py
from django.db import models

# Create your models here.
class Activity(models.Model):
	kegiatan = models.CharField('Nama Kegiatan', max_length=120)

class Person(models.Model):
	kegiatan = models.ForeignKey(Activity, on_delete=models.CASCADE)
	nama = models.CharField('Nama Peserta', max_length=120)

main/forms.py
from django import forms
from .models import MataKuliah

class Form (forms.ModelForm):
	class Meta:
		model = MataKuliah
		fields = '__all__'

		error_messages={
			'required':'Please type'
		}

story6/forms.py
from django.forms import ModelForm
from .models import Activity, Person

class MyActivity(ModelForm):
	class Meta:
		model = Activity
		fields = '__all__'

		error_messages={
			'required':'Please type'
		}
class PersonActivity(ModelForm):
	class Meta:
		model = Person
		fields = ['nama']

		error_messages={
			'required':'Please type'
		}

main/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect
from .models import MataKuliah
from .forms import Form

def home(request):
    return render(request, 'main/home.html')

def tentang(request):
 	return render(request, 'main/profile.html')

def story1(request):
 	return render(request, 'main/story1.html')

def story2(request):
 	return render(request, 'main/story2.html')

def story3(request):
 	return render(request, 'main/profile.html')
 	
def matkul(request):
	if request.method == 'POST':
		form = Form(request.POST)
		if form.is_valid:
			form.save()
			return HttpResponseRedirect('/result/')
	else:
		form = Form()
		context = {
			'form' : form
		}
		return render(request, 'main/form.html', context)

def hasil(request):
	if request.method == "POST":
		MataKuliah.objects.get(id=request.POST['nama']).delete()
		return redirect('/result')
	list_subject = MataKuliah.objects.all()
	return render(request, 'main/hasil.html', {'mylist':list_subject})

def detail(request, i):
	subject = MataKuliah.objects.get(pk=i)
	context = {
			'subject' : subject
		}
	return render(request, 'main/detail.html', context)

story6/views.py
from django.shortcuts import render, redirect
from django.http import HttpResponseRedirect
from .forms import MyActivity, PersonActivity
from .models import Activity, Person

def add_activity(request):
	if request.method == 'POST':
		form = MyActivity(request.POST)
		if form.is_valid():
			form.save()
			return redirect('/result_activity')
	else:
		form = MyActivity()
		context = {
			'form' : form
		}
	return render(request, 'story6/add_activity.html', context)
def add_person(request,index):
	if request.method == 'POST':
		form = PersonActivity(request.POST)
		if form.is_valid():
			person = Person(kegiatan=Activity.objects.get(id=index), nama=form.data['nama'])
			person.save()
			return redirect('/result_activity')
	else:
		form = PersonActivity()
		context = {
			'form' : form
		}
	return render(request, 'story6/add_person.html', context)

def result_activity(request):
	list_activity = Activity.objects.all()
	list_person = Person.objects.all()
	return render(request, 'result_activity.html', {'activity': list_activity, 'person': list_person})

main/templates/main/detail.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
<div class="content">
	<h1 class="title">{{subject.matkul}}</h1>
	<table  class="table table-reflow">
		<tr>
			<td> Classroom </td>
			<td> {{ subject.kelas }} </td>
		</tr>
		<tr>
			<td> Credits </td>
			<td> {{ subject.sks }} </td>
		</tr>
		<tr>
			<td> Lecturer </td>
			<td> {{ subject.dosen }} </td>
		</tr>
		<tr>
			<td> Description </td>
			<td> {{ subject.deskripsi }} </td>
		</tr>
		<tr>
			<td> Term </td>
			<td> {{ subject.semester }} </td>
		</tr>
	</table>
</div>
<div class="footer">
	<a href="{% url 'main:hasil' %}">Back to List</a>
</div>
{% endblock content %}

main/templates/main/form.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}
{% block content %}
<div class="content">
	<h1 class="title">Enter your subject</h1>
	<form action="" method="POST">
		{% csrf_token %}
		<table class="table table-borderless">
			{{ form.as_table }}
			<tr>
				<td>&nbsp;</td>
				<td><input type="submit" value="Submit" class="btn"></td>
			</tr>
		</table>
	</form>
</div>
{% endblock content %}

main/templates/main/hasil.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}
{% block content %}
<div class="container">
	<h1 class="title">Your List Subject</h1>
	<table class="table table-reflow">
	  <thead>
	    <tr>
	      <th>Subject</th>
	      <th>Class Room</th>
	      <th>Credits</th>
	      <th>&nbsp;</th>
	    </tr>
	  </thead>
	  <tbody>
	  		{% for i in mylist %}
		    <tr>
		      <td><a href="/details/{{i.id}}">{{i.matkul}}</a></td>
		      <td>{{i.kelas}}</td>
		      <td>{{i.sks}}</td>
		      <td>
		      	<form method="POST" action="/result/">
			          {% csrf_token %}
			          <input name="nama" value="{{i.id}}" type="hidden">
			          <button type="submit" value="Submit" class="btn" >Delete</button>
			    </form>
		      </td>
		    </tr>
		    {% endfor %}
	  </tbody>
	</table>
</div>
<div class="footer">
	<a href="{% url 'main:matkul' %}">Add New Subject</a>
</div>
{% endblock content %}

main/templates/main/home.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
<div class="bd-example">
	<div id="carouselExampleCaptions" class="carousel slide" data-ride="carousel">
    	<ol class="carousel-indicators">
     		<li data-target="#carouselExampleCaptions" data-slide-to="0" class="active"></li>
      		<li data-target="#carouselExampleCaptions" data-slide-to="1"></li>
      		<li data-target="#carouselExampleCaptions" data-slide-to="2"></li>
      		<li data-target="#carouselExampleCaptions" data-slide-to="3"></li>
    	</ol>
    	<div class="carousel-inner" role="listbox">
      		<div class="carousel-item active">
       			<img class="d-block w-100" data-src="holder.js/900x300?auto=yes&amp;bg=777&amp;fg=555&amp;text=First slide" src="{% static 'img/pict_1.jpg' %}" data-holder-rendered="true" style="width: 900px; height: 400px;">
       			<div class="carousel-caption d-none d-md-block">
          			<h3>Galeri Saya</h3>
          			<p>Setiap gambar memiliki ceritanya masing-masing.</p>
        		</div>
      		</div>
		    <div class="carousel-item">
		        <img class="d-block w-100" data-src="holder.js/900x300?auto=yes&amp;bg=666&amp;fg=444&amp;text=Second slide" src="{% static 'img/pict_2.JPG' %}" data-holder-rendered="true" style="width: 900px; height: 400px;">
		    </div>
		    <div class="carousel-item">
		        <img class="d-block w-100" data-src="holder.js/900x300?auto=yes&amp;bg=666&amp;fg=444&amp;text=Second slide" src="{% static 'img/pict_3.jpg' %}" data-holder-rendered="true" style="width: 900px; height: 400px;">
		    </div>
		    <div class="carousel-item">
		        <img class="d-block w-100" data-src="holder.js/900x300?auto=yes&amp;bg=666&amp;fg=444&amp;text=Second slide" src="{% static 'img/pict_4.jpg' %}" data-holder-rendered="true" style="width: 900px; height: 400px;">
		    </div>
    	</div>
	    <a class="carousel-control-prev" href="#carouselExampleCaptions" role="button" data-slide="prev">
	      <span class="carousel-control-prev-icon" aria-hidden="true"></span>
	      <span class="sr-only">Previous</span>
	    </a>
	    <a class="carousel-control-next" href="#carouselExampleCaptions" role="button" data-slide="next">
	      <span class="carousel-control-next-icon" aria-hidden="true"></span>
	      <span class="sr-only">Next</span>
	    </a>
 	</div>
</div>
{% endblock content %}

main/templates/main/profile.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}
{% block content %}
<div class="content">
	<div class="home" id="home">
		<div class="top">
			<img src="{% static 'img/profile_photo.png' %}" id="profil_photo">
			<div class="intro">
				<h3 id="greating">Hi! I'm,</h3>
				<h1 id="name">Andira Anggun Maharani</h1>
				<div class="fitur">
					<p id="birthday">Denpasar, September 25th 2001</p>
					<div class="logo">
						<a href="mailto:hitamhijau2@gmail.com" target="_blank" id="gmail"><img src="logo\gmail.png"></a>
						<a href="https://www.linkedin.com/in/andira-a-921931134/" target="_blank" id="linked"><img src="logo\linked.png"></a>
						<a href="https://www.instagram.com/andiranggun_/" target="_blank" id="ig"><img src="logo\ig.png"></a>	
					</div>	
			</div>
		</div>
	</div>

	<div class="about">
		<h3>About Me</h3>
		<p>
			I am a 3rd semester student at the University of Indonesia. My daily routine is taking online classes and doing various kinds of assignments given by the lecturer.
			<br><br>
			Besides having a routine as a student, I really like nature, sometimes I take pictures of it to capture moments of the beauty of nature, especially in Indonesia. so, if you are interested, please visit my social media.
		</p>
	</div>

	<div class="experience">
		<h3>Experience</h3>
		<ul>
			<li>Staff DPM Fasilkom UI 2020</li>
		</ul>
	</div>

	<div class="education">
		<h3>Education</h3>
		<ul>
			<li>Universitas Indonesia (2019 - Now)</li>
			<li>SMA Al-Azhar Mandiri Palu (2016 - 2019)</li>
			<li>SMP Al-Azhar Mandiri Palu (2013 - 2016)</li>
			<li>SDN Inpres 6 Lolu Palu (2007 - 2013)</li>
		</ul>
	</div>

	<div class="skill">
		<h3>Skill</h3>
		<ul>
			<li>Python</li>
			<li>Java</li>
			<li>HTML</li>
		</ul>
	</div>

	<div class="footer">
		<h3>“Never regret a day in your life. Good days bring you happiness and bad days give you experience.”</h3>
		<a href="/tentang">Go to Top</a>
	</div>

	</div>
</div>
{% endblock content %}

main/templates/main/story1.html
<!DOCTYPE html>
<html>
<head>
	<title>Welcome!</title>
	<style>
	 .image #size_profpict{
	 	 width:200px;
	 }
	 .data #size_logo {
	 	width: 20px; 
	 	height:20px;
	 }
	 .container {
	 	display: flex;
	 	justify-content: center;
	 }
	 .data, .image{
	 	padding: 10px;
	 }
	a{
		text-decoration: none;
	}
	a:visited {
  		color: black;
	}
 	a:hover {
  		color: purple;
  	}
  	table{
  		border: 5px solid lightgrey;
  	}
	</style>
</head>
<body>
	<h1 align="center"> Profil Saya </h1>
	<div class="container">
	<div class="image">
		<img id="size_profpict" src="https://maung.id/static/4a5b4b5cafb640b06cf8ccb5e96aaa0e/9f583/KR07.jpg">
	</div>
	<div class="data">
		<table cellpadding="5">
			<tr>
				<td>Nama :</td>
				<td>Andira Anggun Maharani</td>
			</tr>
			<tr>
				<td>NPM :</td>
				<td>1906298765</td>
			</tr>
			<tr>
				<td>Angkatan :</td>
				<td>2019</td>
			</tr>
			<tr>
				<td>Hobi :</td>
				<td>Menyanyi</td>
			</tr>
			<tr>
				<td>Deskripsi tentang saya :</td>
				<td>Menyukai hal baru</td>
			</tr>
			<tr>
				<td>Tempat Kuliah :</td>
				<td>Universitas Indonesia</td>
			</tr>
			<tr>
				<td>Riwayat pendidikan :</td>
				<td>
					SMA Al-Azhar Mandiri Palu (2019)<br>
					SMP Al-Azhar Mandiri Palu (2016)<br>
					SDN Inpres 6 Lolu Palu (2013)
				</td>
			</tr>
			<tr>
				<td>Media Sosial :</td>
				<td>
					<img id="size_logo" src="https://i.pinimg.com/originals/a2/5f/4f/a25f4f58938bbe61357ebca42d23866f.png"> 
					<a href="https://www.instagram.com/andiranggun_/">@andiranggun_</a>
				</td>
			</tr>
		</table>
	</div>
</div>
</body>
</html>

main/templates/main/story2.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}

{% block content %}
<div class="content">
	<h3>Wireframe</h3>
	<img class="content_img" src="{% static 'img/Homepage.png' %}">
	<h3>Prototype</h3>
	<img class="content_img" src="{% static 'img/Prototype.png' %}">
</div>

{% endblock content %}

story6/templates/result_activity.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}
{% block content %}
<div class="container">
	<h1 class="title">Your List Activity</h1>	
	<div class="footer">
		<a href="{% url 'story6:add_activity' %}">Add New Activity</a>
	</div>
	<div class="row justify-content-center">
		{% for x in activity %}
			<div class=" col-4 m-5 p-3 card">
				<div class="card-body ">
					<ul class="list-group">
					  <li class="list-group-item"><center><b>{{ x.kegiatan }}</b></center></li>
				      {% for y in person %}
					    {% if y.kegiatan == x %}
					  		<li class="list-group-item">
					  			{{ y.nama }}
					  		</li>
					    {% endif %}
				      {% endfor %}
					</ul>
					<div class="btn_card"> 
					  <a href="/add_person/{{ x.id }}" class="">Add Person Activity</a>
					</div>
				</div>
				
			</div>
		{% endfor %}
	</div>
</div>

{% endblock content %}

story6/templates/story6/add_activity.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}
{% block content %}
<div class="content">
	<h1 class="title">Add Activity</h1>
	<form action="" method="POST">
		{% csrf_token %}
		<table class="table table-borderless">
			{{ form.as_table }}
			<tr>
				<td>&nbsp;</td>
				<td><input type="submit" value="Submit" class="btn"></td>
			</tr>
		</table>
	</form>
</div>
{% endblock content %}

story6/templates/story6/add_person.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}
{% block content %}
<div class="content">
	<h1 class="title">Add Person</h1>
	<form action="" method="POST">
		{% csrf_token %}
		<table class="table table-borderless">
			{{ form.as_table }}
			<tr>
				<td>&nbsp;</td>
				<td><input type="submit" value="Submit" class="btn"></td>
			</tr>
		</table>
	</form>
</div>
{% endblock content %}

story6/templates/story6/result_activity.html
{% extends 'base.html' %}
{% load static %}

{% block meta %}
<title>Hello, world!</title>
{% endblock meta %}
{% block content %}
<div class="container">
	<h1 class="title">Your List Activity</h1>	
	<div class="">
		<a href="{% url 'story6:add_activity' %}">Add New Activity</a>
	</div>
		{% for x in activity %}
			<div class="col-4 m-4 p-4 rounded border">
				<ul class="list-group">
				  <li class="list-group-item">{{ x.kegiatan }}</li>
			      {% for y in person %}
				    {% if y.kegiatan == x %}
				  		<li class="list-group-item">
				  			{{ y.nama }}
				  		</li>
				    {% endif %}
			      {% endfor %}
				</ul>
				<div class=""> 
				  <a href="add_person/{{ x.id }}" class="">Add Person Activity</a>
				</div>
			</div>
		{% endfor %}
</div>
{% endblock content %}

templates/base.html
{% load static %}
<!DOCTYPE html>
<html lang="en">

<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" 
  href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"  
  crossorigin="anonymous">
  <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.12.9/umd/popper.min.js"></script>
  <script src="https://maxcdn.bootstrapcdn.com/bootstrap/4.0.0/js/bootstrap.min.js"></script>
  <link rel="stylesheet" href="{% static 'css/style.css' %}">
  {% block meta %}
  {% endblock meta %}
</head>

<body>
</body>
  <nav class="navbar navbar-expand-lg">
    <a class="navbar-brand" href="/">Home</a>

    <button class="navbar-toggler navbar-light" type="button" data-toggle="collapse" data-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
    </button>

    <div class="collapse navbar-collapse" id="navbarSupportedContent">
      <ul class="navbar-nav mr-auto">
        <li class="nav-item">
          <a class="nav-link" href="/tentang">Tentang</a>
        </li>
        <li class="nav-item dropdown">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdown">
            <a class="dropdown-item" href="/story1">Story 1</a>
            <a class="dropdown-item" href="/story2">Story 2</a>
            <a class="dropdown-item" href="/story3">Story 3</a>
            <a class="dropdown-item" href="/tentang">Story 4</a>
            <a class="dropdown-item" href="/result">Story 5</a>
            <a class="dropdown-item" href="/result_activity">Story 6</a>
          </div>
        </li>
      </ul>
   </div>

	</nav>

	<div class="content">
		{% block content %}

  		{% endblock content %}
	</div>

	<div class="footer">
		<p>©Andira Anggun Maharani</p>
	</div>

</html>